#ifndef MAIN_H
#define MAIN_H

std::string i2str(int i);
std::string f2str(float i);

//Turns a string into an integer, returns defaultValue if the string is no int value
int str2i(const std::string str, const int defaultValue);

//Turns a string into an floating point number, returns defaultValue if the string is no
//floating point value
float str2f(const std::string str, const float defaultValue);

//Get string to file
bool fileSelect(std::string message, std::string &path, std::string ext, int w, int h);

//Test if a given file exists
bool fileExists(std::string filename);

#endif
